%define	name	x86info
%define	version	1.20
%define realver	%{version}
#define cvsdate	20050420

Summary:	Show x86 CPU information
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1	
License:	GPL
Group:		System/Kernel and hardware
URL:		http://www.codemonkey.org.uk/x86info/
Source0:	%{name}-%{realver}%{?cvsdate:-%{cvsdate}}.tar.bz2
Patch0:		x86info-1.17-intel-flags.patch.bz2
Patch1:		x86info-1.17-intel-caches.patch.bz2
Patch2:		x86info-1.17-cpuid-with-ecx-input.patch.bz2
Patch3:		x86info-1.17-intel-multicore-htt.patch.bz2
Patch4:		x86info-1.17-intel-caches-cpuid4.patch.bz2
Patch5:		x86info-1.17-amd-multicore.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

# Will never work on sparc, neither on ppc/alpha...
ExclusiveArch:	%{ix86} x86_64 amd64

%description
Unlike other 'cpuinfo' tools which just parse /proc/cpuinfo, x86info probes
the CPU registers to find out a lot more information. It can discover the
contents of model-specific registers, discover CPU silicon revisions, and
lots more.

%prep
%setup -q -n %{name}-%{realver}

%build
%make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m755 %{name} %{buildroot}%{_bindir}/
install -m755 %{name}.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sun Feb 18 2007 Jérôme Soyer <saispo@mandriva.org> 1.20-1mdv2007.0
+ Revision: 122272
- Fix release tag
- New release 1.20
- Import x86info



* Wed Mar 22 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.17-1mdk
- 1.17
- add Intel flags (vmx, sse4, lahf_lm)
- fix Intel caches detection on x86_64
- fix Intel HTT detection and report multicore CPUs
- add generic Intel caches characterisation (cpuid(4))
- add AMD multicore detection

* Wed Oct 12 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.16-1mdk
- 1.16

* Thu Aug 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.13b-6mdk
- new AMD revision guide is now public

* Sat Aug  6 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.13b-5mdk
- 1.13 final + CVS 2005/04/20 for native x86_64 support

* Thu Mar 10 2005 Olivier Thauvin <nanardon@mandrake.org> 1.13b-4mdk
- exclude all arch except i586/amd64

* Fri May 07 2004 Erwan Velu <erwan@mandrakesoft.com> 1.13b-3mdk
- Newest cvs
- More AMD64 processors supported
- Remove Patch0 (merged upstream)

* Fri Mar 12 2004 Erwan Velu <erwan@mandrakesoft.com> 1.13b-2mdk
- Oups patch was empty :(

* Fri Mar 12 2004 Erwan Velu <erwan@mandrakesoft.com> 1.13b-1mdk
- New cvs release (more proc supported)
- Adding HT patch for reading siblings (kernel give better results but that's better than "0")

* Sat Dec 05 2003 Franck Villaume <fvill@freesurf.fr> 1.12b-2mdk
- no sparc support :/

* Fri Aug 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.12b-1mdk
- 1.12b

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.11-2mdk
- build release

* Tue Nov 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.11-1mdk
- new version

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.10-2mdk
- rebuilt with gcc-3.2

* Wed Jul 24 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.10-1mdk
- new version

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.9-1mdk
- new version
- rebuilt with gcc3.1

* Tue Dec 18 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.7-1mdk
- initial cooker contrib
